<? $pages_count = ceil($this->count / $this->perPage); ?>

<div class="paging">
	<? if( $pages_count != 1 ): ?>
	<p>
		<? $pages = $this->paging($this->count, $this->page, $this->perPage); ?>
		<? if ( 1 < $this->page): ?>
		<a class="prev" href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $this->page - 1 ?>'] })"></a>
		<? endif ?>

		<? foreach ( $pages as $page ): ?>

			<? if ( $this->page == $page ): ?>
			<span><?= $page ?></span>
			<? else: ?>
			<a class="p" href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $page ?>'] })"><?= $page ?></a>
			<? endif ?>

		<? endforeach ?>

		<? if ($this->page < $pages_count - 2 && end($pages) < $pages_count): ?>
		...
		<a class="p" href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $pages_count ?>'] })"><?= $pages_count ?></a>
		<? endif; ?>

		<? if ( $pages_count > $this->page): ?>
		<a class="next" href="" onclick="return Cubix.Filter.Set({ page: ['<?= $this->page + 1 ?>'] })"></a>
		<? endif ?>
	</p>
	<? endif; ?>
	
	<div class="per-page">
		<div class="inner">
			<label><?= __('ads_per_page') ?>: </label>
			<select name="pp">
				<? foreach ( $this->per_pages AS $pp ): ?>
					<option <?= ($this->perPage == $pp) ? 'selected="selected"' : '' ?> value="<?= $pp ?>"><?= $pp ?></option>
				<? endforeach; ?>
			</select>
		</div>
	</div>
</div>

<? if ( count($this->ads) ): ?>
	<? foreach( $this->ads as $ad ): ?>
	<div class="msg <?= ($ad->is_premium) ? 'premium' : '' ?>">
		<div class="header">
			<div class="left">
				<span class="id">
					ID:<?= $ad->id ?>
				</span>
			</div>
			<div class="right">
				<p class="title"><a href="<?= $this->getLink('classified-ads-ad', array('id' => $ad->id, 'title' => $ad->slug)) ?>"><?= $ad->title ?></a></p>
				
				<div class="info">
					<span><?= __('date') ?>: <b><?= (date('d.M.Y', strtotime($ad->approvation_date)) == date('d.M.Y', time())) ? __('today') : date('d M Y', strtotime($ad->approvation_date)); ?></b></span><br/>
					<span><?= __('city') ?>: <b><?= $ad->city_title ?></b></span><br/>
					<span><?= __('total_views') ?>: <b><?= $ad->view_count ?></b></span>
				</div>

				<div class="social-icons">
					<a class="facebook" href="#" onclick="window.open('https://www.facebook.com/sharer/sharer.php?u=<?= Cubix_Application::getById()->url . $this->getLink('classified-ads-ad', array('id' => $ad->id, 'title' => $ad->slug)) ?>', 'facebook-share-dialog', 'width=626,height=436');return false;"></a>
					<a class="twitter" href="https://twitter.com/share?url=<?= Cubix_Application::getById()->url . $this->getLink('classified-ads-ad', array('id' => $ad->id, 'title' => $ad->slug)) ?>" target="_blank"></a>
				</div>
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
		<div class="content collapsed">
			<div class="photos">
				<? if ( count($ad->images) ): ?>
					<? foreach($ad->images as $image): ?>
					<? $img = new Cubix_ImagesCommonItem($image); ?>
					<div class="photo">
						<a rel="lightbox-atomium-<?= $ad->id ?>" href="<?= $img->getUrl('cads_orig') ?>"><img src="<?= $img->getUrl('cads_thumb') ?>" width="102" height="136" /></a>
					</div>
					<? endforeach; ?>
				<? else: ?>
				<div class="photo">
					<a href="#"><img src="/img/c-ads/no_photo.png" width="102" height="136" /></a>
				</div>
				<? endif; ?>
			</div>
			<div class="text collapsed">
				<?= $ad->text ?>

				<div class="control-box none">
					<div class="left">
						<? if ( $ad->phone ): ?>
						<span class="phone"><?= $ad->phone ?></span><br/>
						<? endif; ?>
						<? if ( $ad->email ): ?>
						<div>
							<a style="display: block; width: 90px; height: 18px; outline: none" href="<?= $this->getLink('feedback') . '?to=' . $ad->id ?>" onclick="return Cubix.Feedback.Show($(this).getParent(), <?= $ad->id ?>, true)">
								<img src='<?= _st($this->lang() . '_btn_contactme.png') ?>' alt='<?= $this->t('contact_me') ?>' />
							</a>
						</div>
						<? /*
						<a href="#" class="email">
							<img src="<?= _st($this->lang() . '_btn_contactme.png') ?>" />
						</a>*/ ?>
						<? endif; ?>
					</div>
					<div class="right">
						<a href="#" class="print" rel="<?= $this->getLink('classified-ads-print') ?>?id=<?= $ad->id ?>"><?= __('print_ad') ?></a>
						<a href="#" url="<?= Cubix_Application::getById()->url ?><?= $this->getLink('classified-ads-ad') ?>?id=<?= $ad->id ?>" class="tell-friend" rel="<?= $this->getLink('tell-friend') ?>"><?= __('recommend') ?></a>
						<a href="#" class="report-problem" rel="<?= $this->getLink('report-problem') ?>?ad_id=<?= $ad->id ?>"><?= __('report') ?></a>
						<div class="clear"></div>
					</div>
					<div class="clear"></div>
				</div>
				
				<div class="shadow"></div>
			</div>
			<div class="clear"></div>
		</div>

		<a href="<?= $this->getLink('classified-ads-ad', array('id' => $ad->id, 'title' => $ad->slug)) ?>" class="show-hide-btn"><?= __('read_all') ?> &raquo;</a>
		<div class="clear"></div>
	</div>
	<? endforeach; ?>
<? else: ?>
	<b class="no-found"><?= __('no_ads_found') ?></b>
<? endif; ?>

<? $pages_count = ceil($this->count / $this->perPage); ?>
<? if( $pages_count != 1 ): ?>
<div class="paging">
	<p>
		<? $pages = $this->paging($this->count, $this->page, $this->perPage); ?>
		<? if ( 1 < $this->page): ?>
		<a class="prev" href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $this->page - 1 ?>'] })"></a>
		<? endif ?>

		<? foreach ( $pages as $page ): ?>

			<? if ( $this->page == $page ): ?>
			<span><?= $page ?></span>
			<? else: ?>
			<a class="p" href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $page ?>'] })"><?= $page ?></a>
			<? endif ?>

		<? endforeach ?>

		<? if ($this->page < $pages_count - 2 && end($pages) < $pages_count): ?>
		...
		<a class="p" href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $pages_count ?>'] })"><?= $pages_count ?></a>
		<? endif; ?>

		<? if ( $pages_count > $this->page): ?>
		<a class="next" href="" onclick="return Cubix.Filter.Set({ page: ['<?= $this->page + 1 ?>'] })"></a>
		<? endif ?>
	</p>
</div>
<? endif; ?>